2001-12-18 Marcus Brinkmann <marcus@g10code.de>
authorMarcus Brinkmann <mb@g10code.com>
Tue, 18 Dec 2001 23:32:08 +0000 (23:32 +0000)
committerMarcus Brinkmann <mb@g10code.com>
Tue, 18 Dec 2001 23:32:08 +0000 (23:32 +0000)
* autogen.sh (libtool_vers): Bump to 1.4.

* configure.ac (LIBGPGME_LT_CURRENT): Increment.
(LIBGPGME_LT_AGE): Likewise.
Improve comment.
Fix wrong comment character.

ChangeLog
README
autogen.sh
configure.ac
gpgme/gpgme.h

index 9ee15f4..4e57124 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2001-12-18  Marcus Brinkmann  <marcus@g10code.de>
+
+       * autogen.sh (libtool_vers): Bump to 1.4.
+
+       * configure.ac (LIBGPGME_LT_CURRENT): Increment.
+       (LIBGPGME_LT_AGE): Likewise.
+       Improve comment.
+       Fix wrong comment character.
+
 2001-12-18  Werner Koch  <wk@gnupg.org>
 
        * acinclude.m4 (GNUPG_FIX_HDR_VERSION): Fixed for new automake.
diff --git a/README b/README
index 55c40f5..efc92d6 100644 (file)
--- a/README
+++ b/README
@@ -18,6 +18,8 @@ For support of the CMS (Cryptographic Message Syntax) protocol, you
 need the latest CVS version of GpgSM, module name `newpg' at
 `:pserver:anoncvs@cvs.gnupg.org:/cvs/aegypten'.
 
+You need at least GpgSM 0.0.0.
+
 If configure can't find the `gpgsm' binary in your path, you can
 specify the location with the --with-gpgsm=/path/to/gpgsm argument to
 configure.
index d75874b..d7da76d 100755 (executable)
@@ -7,7 +7,7 @@ lib_config_files=""
 autoconf_vers=2.52
 automake_vers=1.5
 aclocal_vers=1.5
-libtool_vers=1.3
+libtool_vers=1.4
 
 DIE=no
 if test "$1" = "--build-w32"; then
index b597653..355333a 100644 (file)
@@ -26,18 +26,19 @@ AC_REVISION($Revision$)
 
 AC_CONFIG_SRCDIR(gpgme/gpgme.h)
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE(gpgme, 0.2.3a)
+AM_INIT_AUTOMAKE(gpgme, 0.3.0)
 AM_MAINTAINER_MODE
 
 AC_PROG_CC
 
 # Version numbers (Remember to change them just before a release.)
-#   (Interfaces removed:    CURRENT++, AGE=0, REVISION=0)
-#   (Interfaces added:      CURRENT++, AGE++, REVISION=0)
-#   (No interfaces changed:                   REVISION++)
+#   (Code changed:                     REVISION++)
+#   (Interfaces added/removed/changed: CURRENT++, REVISION=0)
+#   (Interfaces added:                 AGE++)
+#   (Interfaces removed:               AGE=0)
 # XXXX new functions
-LIBGPGME_LT_CURRENT=4
-LIBGPGME_LT_AGE=4
+LIBGPGME_LT_CURRENT=5
+LIBGPGME_LT_AGE=0
 LIBGPGME_LT_REVISION=0
 NEED_GPG_VERSION=1.0.6
 NEED_GPGSM_VERSION=0.0.0
@@ -180,7 +181,7 @@ dnl
 dnl Create config files 
 dnl
 
-/* FIXME: Only build if supported.  */
+dnl FIXME: Only build if supported.
 AM_CONDITIONAL(BUILD_ASSUAN, test "$GPGSM" != "no")
 
 AM_CONDITIONAL(BUILD_COMPLUS, test "$component_system" = "COM+")
index 971b1bd..1a34adc 100644 (file)
@@ -44,7 +44,7 @@ extern "C" {
  * let autoconf (using the AM_PATH_GPGME macro) check that this
  * header matches the installed library.
  * Warning: Do not edit the next line.  configure will do that for you! */
-#define GPGME_VERSION "0.2.3a"
+#define GPGME_VERSION "0.3.0"